footer .footer.block {
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: var(--color-primary-dark-teal);
  color: var(--color-primary-white);
  padding-block-end: var(--spacing-base-space-500);

  /* reserve space before decorate() populates the block, to reduce CLS */
  min-height: 420px;
}

footer .statement-wrapper {
  flex-direction: column;
  padding-inline: 0;
  padding-block: var(--spacing-base-space-500);
  font-family: var(--typography-family-title-slab);
  font-weight: var(--typography-weight-regular);
  font-size: var(--typography-font-size-headlines-48);
  line-height: var(--typography-line-height-lh-53);
  letter-spacing: var(--typography-letter-spacing-0-5);
  overflow: hidden;

  --flow-space: var(--spacing-base-space-500);
}

footer .statement-wrapper svg {
  align-self: flex-end;
  width: 50px;
}

footer .statement-wrapper .mgb-brand {
  white-space: nowrap;
}

footer .legal-wrapper {
  padding-block-start: var(--spacing-base-space-500);
  border-top: 1px solid var(--color-primary-white);
}

footer .description-wrapper {
  display: flex;
  justify-content: center;
  text-align: center;
  margin-block-end: var(--spacing-base-space-300);
}

footer .description-wrapper,
footer .links-wrapper .button-container a {
  color: var(--color-primary-white);
  font-family: var(--typography-family-body-sans);
  font-size: var(--typography-font-size-body-14);
  font-style: normal;
  font-weight: var(--typography-weight-medium);
  line-height: var(--typography-line-height-lh-21);
}

footer .links-wrapper {
  display: flex;
  text-align: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: var(--spacing-base-space-250) var(--spacing-base-space-300);
}

footer .links-wrapper .button-container a {
  text-decoration-line: underline;
  text-decoration-style: solid;
  text-decoration-skip-ink: none;
  text-decoration-thickness: auto;
}

@media (width < 620px) {
  footer .statement-wrapper .mgb-brand {
    white-space: normal;
  }
}

/* breakpoint medium screen */
@media (width >= 900px) and (width <= 1024px) {
  footer .links-wrapper {
    gap: var(--spacing-base-space-300);
  }
}

/* breakpoint large screen */
@media (width > 1024px) {
  footer .footer.block {
    padding-block-end: var(--spacing-base-space-400);
  }

  footer .statement-wrapper {
    flex-direction: column;
    padding-block: var(--spacing-base-space-800) var(--spacing-base-space-1000);
    padding-inline: var(--spacing-base-space-0);
    font-weight: var(--typography-weight-regular);
    font-size: var(--typography-font-size-headlines-64);
    line-height: var(--typography-line-height-lh-70);
    letter-spacing: var(--typography-letter-spacing-0);

    --flow-space: var(--spacing-base-space-500);
  }

  footer .statement-wrapper svg {
    width: 76px;
  }

  footer .footer > div {
    display: flex;
    align-items: center;
  }

  footer .global-inner {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: var(--spacing-base-space-250) var(--spacing-base-space-300);
  }

  footer .global-inner .description-wrapper {
    flex: 0 0 auto;
    white-space: nowrap;
    text-align: center;
    margin-block-end: var(--spacing-base-space-0);
  }

  footer .legal-wrapper {
    padding-block-start: var(--spacing-base-space-400);
    border-top: 1px solid var(--color-primary-white);
  }

  footer .global-inner .links-wrapper {
    flex: 1 1 700px;
    display: flex;
    flex-wrap: nowrap;
    white-space: nowrap;
    justify-content: center;
    gap: var(--spacing-base-space-300);
  }
}
